# class Chef::Provider::Package::Rubygems::CurrentGemEnvironment

### Public Instance Methods

candidate_version_from_remote(gem_dependency, *sources) click to toggle source

    # File lib/chef/provider/package/rubygems.rb, line 257
    def candidate_version_from_remote(gem_dependency, *sources)
      with_gem_sources(*sources) do
        find_newest_remote_version(gem_dependency, *sources)
      end
    end

gem_paths() click to toggle source

    # File lib/chef/provider/package/rubygems.rb, line 245
    def gem_paths
      Gem.path
    end

gem_source_index() click to toggle source

    # File lib/chef/provider/package/rubygems.rb, line 249
    def gem_source_index
      Gem.source_index
    end

gem_specification() click to toggle source

    # File lib/chef/provider/package/rubygems.rb, line 253
    def gem_specification
      Gem::Specification
    end